// ---------------------------------------------------------------------------
//  M88 - PC-8801 emulator
//	Copyright (C) cisc 1998, 2000.
// ---------------------------------------------------------------------------
//	$Id: memmon.h,v 1.6 2000/02/27 12:35:07 cisc Exp $

#if !defined(win32_memmon_h)
#define win32_memmon_h

#include "device.h"
#include "mvmon.h"
#include "pc88/memview.h"

// ---------------------------------------------------------------------------

class PC88;

namespace PC8801
{

class MemoryMonitor : public MemViewMonitor
{
public:
	MemoryMonitor();
	~MemoryMonitor();

	bool Init(PC88*); 

private:
	BOOL DlgProc(HWND, UINT, WPARAM, LPARAM);
	BOOL EDlgProc(HWND, UINT, WPARAM, LPARAM);
	static BOOL CALLBACK EDlgProcGate(MemoryMonitor*, HWND, UINT, WPARAM, LPARAM);
	
	void UpdateText();

	InstanceThunk edlgproc;
	
	int editaddr;
};

}

#endif // !defined(win32_memmon_h)
